Bug 996680 - [JBDS] (6.2.x) (needs-triage) :: jboss-deployment-structure.xml: cvc-complex-type.2.4.a: Invalid content was found starting with element
[JBDS] (6.2.x) (needs-triage) :: jboss-deployment-structure.xml: cvc-complex-...
Status: NEW
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Build (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: EAP 6.3.0
Assigned To: jboss-set
Petr Kremensky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-13 13:01 EDT by Burr Sutter
Modified: 2016-09-15 12:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Burr Sutter 2013-08-13 13:01:22 EDT
Description of problem:
https://issues.jboss.org/browse/WFLY-943

Version-Release number of selected component (if applicable):


How reproducible:
jboss-deployment-structure.xml:

<jboss-deployment-structure xmlns="urn:jboss:deployment-structure:1.0">
   <deployment>
   	   <dependencies>
   	   		<module name="com.h2database.h2"/>
   	   		<module name="org.codehaus.jackson.jackson-core-asl"/>
   	   		<module name="org.codehaus.jackson.jackson-mapper-asl"/>
            <module name="org.slf4j"/>
   	   </dependencies>
   </deployment>
</jboss-deployment-structure>

Steps to Reproduce:
1.Validate the jboss-deployment-structure.xml above against our XSD
2.
3.

Actual results:


Expected results:


Additional info:

Document URL: 

Section Number and Name: 

Describe the issue: 

Suggestions for improvement: 

Additional information: 


Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Max Rydahl Andersen 2013-08-16 03:17:52 EDT
Just a comment stating that this actually affects all examples using this xml.

Would be great to get a bugfix out just of the XSD (if that is the only place the problem is) we could tell users and examples to use which actually validates AND deploys.

Note You need to log in before you can comment on or make changes to this bug.